es.gob.fnmt.gui.fragment

## Class NetworkCommunicationFragment

- java.lang.Object
- - android.app.Fragment
  - - es.gob.fnmt.gui.fragment.NetworkCommunicationFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, SignatureNotification

      public final class NetworkCommunicationFragment
      extends android.app.Fragment
      implements SignatureNotification

  Default implementation of a Fragment to handle graphical interface for network connections.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NetworkCommunicationFragment.NetCommFragmentListener` Fragment interface to handle connection events.

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

    - ### Nested classes/interfaces inherited from interface es.gob.fnmt.gui.SignatureNotification

      `SignatureNotification.sign_callback_notify`

  - ### Field Summary

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkCommunicationFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doNotify(SignatureNotification.sign_callback_notify notify, java.lang.String msg)` Notification callback about the signature process
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onStart()`
    `void` | `setDialog(ProgressDialogUI progressDialog, boolean defaultMessages)` Custom progress dialog and disables internal progress bar.
    `void` | `setErrorStatusEnabled(boolean enabled)` Enable or disable internal status messages.
    `void` | `setProgressBarEnabled(boolean enabled)` Enable or disable internal progress bar.
    `void` | `setTextColor(int color)` Set text color for text components.
    `void` | `setTextColor(java.lang.String color)` Set text color for text components.
    `void` | `setTextTypeFace(android.graphics.Typeface typeFace)` Set resource TypeFace for text components.

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkCommunicationFragment

          public NetworkCommunicationFragment()

  - ### Method Detail

    - #### doNotify

          public void doNotify(SignatureNotification.sign_callback_notify notify,
                               java.lang.String msg)

      Description copied from interface: `SignatureNotification`
      Notification callback about the signature process
      Specified by:
        `doNotify` in interface `SignatureNotification`
      Parameters:
        `notify` - type of event notification
        `msg` - additional information of the event (may be null)

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.app.Fragment`

    - #### onStart

          public void onStart()

      Overrides:
        `onStart` in class `android.app.Fragment`

    - #### setDialog

          public void setDialog(ProgressDialogUI progressDialog,
                                boolean defaultMessages)

      Custom progress dialog and disables internal progress bar.
      Parameters:
        `progressDialog` - instance of progress dialog.
        `defaultMessages` - if internal messages must be shown in the progress dialog.

    - #### setErrorStatusEnabled

          public void setErrorStatusEnabled(boolean enabled)

      Enable or disable internal status messages.
      Parameters:
        `enabled` - enable or disable.

    - #### setProgressBarEnabled

          public void setProgressBarEnabled(boolean enabled)

      Enable or disable internal progress bar.
      Parameters:
        `enabled` - enable or disable.

    - #### setTextColor

          public void setTextColor(int color)

      Set text color for text components.
      Parameters:
        `color` - int value in the form 0xAARRGGBB.

    - #### setTextColor

          public void setTextColor(java.lang.String color)

      Set text color for text components.
      Parameters:
        `color` - string name of the color.

    - #### setTextTypeFace

          public void setTextTypeFace(android.graphics.Typeface typeFace)

      Set resource TypeFace for text components.
      Parameters:
        `typeFace` - typeFace instance.